package com.wasu.cs.mvp.IView;

import com.wasu.cs.mvp.model.AssetsDataModel;

import java.util.List;

/**
 * @Description:
 * @Author: Danxingxi
 * @CreateDate: 2016/9/27 16:01
 */
public interface IDemandMvpView extends IMainMVPView {

    /**第一排数据获取成功**/
    void getBody1DataSuccess(String rowTitle, List<AssetsDataModel> bodyListData);

    /**第二排数据获取成功**/
    void getBody2DataSuccess(String rowTitle, List<AssetsDataModel> bodyListData);

    /**第三排数据获取成功**/
    void getBody3DataSuccess(String rowTitle,List<AssetsDataModel> bodyListData);
    /**第四排数据获取成功**/
    void getBody4DataSuccess(String rowTitle,List<AssetsDataModel> bodyListData);
    /**
     * 获取数据失败
     * @param e
     */
    void getDataError(Throwable e);

    /**
     * 显示loading
     */
    void showProgress();

    /**
     * 隐藏loading
     */
    void hideProgress();
}
